/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.entity.Dmaregion;
import com.tofly.xrtygis.service.DmaregionService;
import org.springframework.stereotype.Service;
import com.tofly.xrtygis.mapper.DmaregionMapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * DMA分区信息表：TF_YWPN_DMAREGION_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Service("dmaregionService")
public class DmaregionServiceImpl extends ServiceImpl<DmaregionMapper, Dmaregion> implements DmaregionService {

    @Override
    public List<Map> partitionNum() {
        return baseMapper.partitionNum();
    }

    @Override
    public void updateMinFlow(Long parId, BigDecimal minFlow) {
        baseMapper.updateMinFlow(parId , minFlow);
    }

    @Override
    public IPage<Dmaregion> getPartitionById(Page page, Long id, String content) {
        return baseMapper.getPartitionById(page , id , content);
    }

    @Override
    public IPage<Dmaregion> getOneLevelByIds(Page page, String ids, String content) {
        return baseMapper.getOneLevelByIds(page , ids , content);
    }

    @Override
    public List<Dmaregion> getOneLevelByIdsList(String ids, String content) {
        return baseMapper.getOneLevelByIdsList( ids , content);
    }

    @Override
    public List<Dmaregion> getPartitionByIdList(Long id, String content) {
        return baseMapper.getPartitionByIdList( id , content);
    }

    @Override
    public String getGuid() {
        return baseMapper.getGuid();
    }
}
